Skip to main content
GET
List all payment requests

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer

Page number.

Example:

1

per_page
integer

Number of records per page.

Example:

20

currency
string

Filter the results by currency, expressed as an ISO 4217 code.

Example:

"EUR"

external_customer_id
string

Unique identifier assigned to the customer in your application.

Example:

"5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba"

payment_status
enum<string>

Filter by payment status. Possible values are pending, failed or succeeded.

Available options:
pending,
failed,
succeeded
Example:

"pending"

billing_entity_codes[]
string[]

Filter payment requests by billing entity codes.

Example:

Response

PaymentRequests

payment_requests
object[]
required
meta
object
required